## ros-humble-dbw-fca-can 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dbw_fca_can)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(dataspeed_dbw_common REQUIRED)
find_package(std_msgs REQUIRED)
find_package(can_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(dbw_fca_msgs REQUIRED)
find_package(dataspeed_can_msg_filters REQUIRED)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

add_library(${PROJECT_NAME} SHARED
  "src/DbwNode.cpp"
)

ament_target_dependencies(${PROJECT_NAME}
  "rclcpp_components"
  "rclcpp"
  "dataspeed_dbw_common"
  "std_msgs"
  "can_msgs"
  "sensor_msgs"
  "geometry_msgs"
  "dbw_fca_msgs"
  "dataspeed_can_msg_filters"
)

target_include_directories(
  ${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "${PROJECT_NAME}::DbwNode"
  EXECUTABLE dbw_node
)

ament_export_include_directories(include)
install(DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY scripts
  DESTINATION lib/${PROJECT_NAME}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  
  ament_add_gtest(${PROJECT_NAME}_test_pedal_lut "tests/test_pedal_lut.cpp")
  target_include_directories(${PROJECT_NAME}_test_pedal_lut PUBLIC "include")
endif()

ament_package()

=== debian/changelog ===
ros-humble-dbw-fca-can (2.1.1-1jammy) jammy; urgency=high

  * Update install scripts for ROS2
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 24 Jan 2023 05:00:00 -0000

ros-humble-dbw-fca-can (2.1.0-1jammy) jammy; urgency=high

  * Bump firmware versions
  * Add missing ament_cmake_gtest dependency
  * Sync ament_cmake and ament_cmake_ros in each CMakeLists.txt/package.xml
  * Change unsigned vehicle speed to signed vehicle velocity
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-humble-dbw-fca-can (2.0.3-1jammy) jammy; urgency=high

  * Fix socketcan options
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-humble-dbw-fca-can (2.0.2-1jammy) jammy; urgency=high

  * Periodically publish DBW enabled status in addition to latched and on change
  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-humble-dbw-fca-can (2.0.1-1jammy) jammy; urgency=high

  * Change parameters to work in Foxy and Galactic
  * Export include directories from DBW CAN interface packages
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 23 Feb 2022 05:00:00 -0000

ros-humble-dbw-fca-can (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Nov 2021 04:00:00 -0000

=== debian/control ===
Source: ros-humble-dbw-fca-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-dataspeed-can-msg-filters, ros-humble-dataspeed-dbw-common, ros-humble-dbw-fca-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dbw-fca-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-dataspeed-can-usb, ros-humble-dataspeed-dbw-common, ros-humble-dataspeed-dbw-gateway, ros-humble-dataspeed-ulc-can, ros-humble-dbw-fca-description, ros-humble-dbw-fca-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Drive-by-wire interface to the Dataspeed Inc.
 Chrysler Pacifica DBW kit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-fca-can//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-dbw-fca-can 2.1.16

=== debian/changelog ===
ros-humble-dbw-fca-can (2.1.16-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.15-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.14-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.13-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 12 May 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.12-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.11-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.10-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 26 Feb 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.9-1bookworm) bookworm; urgency=high

  * Add missing rclcpp_components dependency to package.xml
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.8-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 19 Feb 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.7-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.6-1bookworm) bookworm; urgency=high

  * Refactor
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 15 Jan 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.5-1bookworm) bookworm; urgency=high

  * Warn when the incorrect DBW1/DBW2 package is used at runtime and suggest the correct package
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.4-1bookworm) bookworm; urgency=high

  * Remove dataspeed_dbw_gateway package
    The gateway package took a lot of time and memory to compile.
    The gateway package converted messages from specific OEMs to generic messages with the subset of common fields. The DBW2 CAN interface is designed to be the same for all OEMs.
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.3-1bookworm) bookworm; urgency=high

  * Bump firmware versions
  * Add ready flag to GearReport message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.2-1bookworm) bookworm; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 May 2023 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.1-1bookworm) bookworm; urgency=high

  * Update install scripts for ROS2
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 23 Jan 2023 16:00:00 -0000

ros-humble-dbw-fca-can (2.1.0-1bookworm) bookworm; urgency=high

  * Bump firmware versions
  * Add missing ament_cmake_gtest dependency
  * Sync ament_cmake and ament_cmake_ros in each CMakeLists.txt/package.xml
  * Change unsigned vehicle speed to signed vehicle velocity
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-dbw-fca-can (2.0.3-1bookworm) bookworm; urgency=high

  * Fix socketcan options
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 13 Oct 2022 16:00:00 -0000

ros-humble-dbw-fca-can (2.0.2-1bookworm) bookworm; urgency=high

  * Periodically publish DBW enabled status in addition to latched and on change
  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 12 May 2022 16:00:00 -0000

ros-humble-dbw-fca-can (2.0.1-1bookworm) bookworm; urgency=high

  * Change parameters to work in Foxy and Galactic
  * Export include directories from DBW CAN interface packages
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 22 Feb 2022 16:00:00 -0000

ros-humble-dbw-fca-can (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Nov 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-dbw-fca-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-dataspeed-can-msg-filters, ros-humble-dataspeed-dbw-common, ros-humble-dbw-fca-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dbw-fca-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-dataspeed-can-usb, ros-humble-dataspeed-dbw-common, ros-humble-dataspeed-ulc-can, ros-humble-dbw-fca-description, ros-humble-dbw-fca-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Drive-by-wire interface to the Dataspeed Inc.
 Chrysler Pacifica DBW kit

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-fca-can//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-fca-can//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-dbw-fca-can//opt/ros/humble/opt/dbw_fca_can/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
